CONNECT TO ADVMON USER db2inst1 USING password;

DROP TABLE DB2INST1.WMB_MSGS; 

CREATE TABLE DB2INST1.WMB_MSGS  
 (WMB_MSGKEY        	VARCHAR(100) NOT NULL,
  TRANSAC_NAME      	VARCHAR(100),   
  EVENT_NAME        	VARCHAR(100),   
  EVENT_TYPE        	CHAR(1),
  MSGFLOW_NAME      	VARCHAR(100),   
  APPL_NAME         	VARCHAR(100),   
  NODE_NAME         	VARCHAR(100),   
  NODE_TYPE         	VARCHAR(100),
  TERMINAL_NAME     	VARCHAR(100),   
  EVENT_TIMESTAMP   	TIMESTAMP,   
  GLOBAL_TRANSACTION_ID VARCHAR(100),
  IN_IS			VARCHAR(100),
  APPL_DATA		VARCHAR(1000) 
 )                                              
DATA CAPTURE NONE;

ALTER TABLE DB2INST1.WMB_MSGS ADD CONSTRAINT WMB_MSGS_PK PRIMARY KEY (WMB_MSGKEY);

DROP TABLE DB2INST1.WMB_BUSTRANS;

CREATE TABLE DB2INST1.WMB_BUSTRANS
 (GLOBAL_TRANSACTION_ID VARCHAR(100) NOT NULL,
  TRANSAC_NAME          VARCHAR(100),   
  START_TIMESTAMP       TIMESTAMP, 
  END_TIMESTAMP         TIMESTAMP,   
  STATUS            	CHAR(1), 
  IN_IS_S	    	VARCHAR(100),
  IN_IS_E	    	VARCHAR(100),
  IN_IS_P	    	VARCHAR(1000),
  LAST_UPDT_TIMESTAMP 	TIMESTAMP,
  LAST_DATA_UPDT_TSP 	TIMESTAMP,
  APPL_DATA		VARCHAR(1000)
 )

DATA CAPTURE NONE;

ALTER TABLE DB2INST1.WMB_BUSTRANS ADD CONSTRAINT WMB_BUSTRANS_PK PRIMARY KEY (GLOBAL_TRANSACTION_ID);

DROP INDEX DB2INST1.WMB_BTRN_IDX;

CREATE INDEX DB2INST1.WMB_BTRN_IDX on DB2INST1.WMB_BUSTRANS (GLOBAL_TRANSACTION_ID, TRANSAC_NAME, START_TIMESTAMP, END_TIMESTAMP, STATUS, IN_IS_S, IN_IS_E);

TERMINATE;
